none
DPM 2010 to 2012sp1 setup fails RRS feed

  • Question

  • Trying to upgrade to dpm 2012 sp1 from 2010 w/ kb2615782.  I downloaded bits from MS VLS sys_ctr_DPM_2012_wSP1_Multi-Language_-2_X18-80381.iso  Placed the files on the server which is Windows 8 SP2 x64

    I Accept the license agreement and get the following error message.

    "System Center 2012 Service Pack 1 DPM cannot be installed on the same computer as DPM 2006 or DMP 2007 or DPM2010. (ID: 4334)

    Install Systems Center 2012 Service Pack 1 DPM on a different computer and migrate your settings using the upgrade tool.  For detail refer to the Systems Center 2012 Service Pack 1 DPM Upgrade Guide

    More Information"  (the link goes to a not found page)

    Wednesday, January 16, 2013 4:19 PM

Answers

  • Hi,

    This page is wrong, it really only applies to DPM 2012, not SP1.  We have no upgrade path from DPM2010 directly to DPM 2012 Sp1, you must first upgrade to DPM 2012 first.

    Upgrading from System Center Data Protection Manager 2010
    http://technet.microsoft.com/en-us/library/hh848291.aspx

    Please upgrade to DPM 2012 first, then upgrade to DPM 2012 Sp1.


    Please remember to click “Mark as Answer” on the post that helps you, and to click “Unmark as Answer” if a marked post does not actually answer your question. This can be beneficial to other community members reading the thread. Regards, Mike J. [MSFT] This posting is provided "AS IS" with no warranties, and confers no rights.


    Wednesday, January 16, 2013 7:33 PM
    Moderator

All replies

  • Hi,

    This page is wrong, it really only applies to DPM 2012, not SP1.  We have no upgrade path from DPM2010 directly to DPM 2012 Sp1, you must first upgrade to DPM 2012 first.

    Upgrading from System Center Data Protection Manager 2010
    http://technet.microsoft.com/en-us/library/hh848291.aspx

    Please upgrade to DPM 2012 first, then upgrade to DPM 2012 Sp1.


    Please remember to click “Mark as Answer” on the post that helps you, and to click “Unmark as Answer” if a marked post does not actually answer your question. This can be beneficial to other community members reading the thread. Regards, Mike J. [MSFT] This posting is provided "AS IS" with no warranties, and confers no rights.


    Wednesday, January 16, 2013 7:33 PM
    Moderator
  • I'm trying to upgrade from DPM 2010 to DPM 2012 R2 - which should be supported based on the link you've provided. So why am I getting the same error? 
    Monday, November 18, 2013 4:40 PM
  • Hi,

    The page http://technet.microsoft.com/en-us/library/hh848291.aspxfor upgrading DPM 2010 to DPM 2012 is also in error, it does not apply to System Center 2012 R2 Data Protection Manager.

    The recommended upgrade path from DPM 2010 to DPM 2012 Sp1 and optionally to DPM 2012 R2 is as follows:

    Note: the Operating system and SQL requirements for DPM 2012

    System Requirements for DPM in System Center 2012
    http://technet.microsoft.com/en-us/library/hh757757.aspx


    1) On DPM 2010 install the latest update: KB2751231 Description of hotfix rollup package 7 for System Center Data Protection Manager 2010

    2) Update the Agents to 3.0.8195.0

    3) Backup the DPM 2010 database.

    4) Upgrade to DPM 2012

    5) Install the latest DPM 2012 update: KB2756127 Description of Update Rollup 3 for System Center 2012

    6) Update agents to 4.0.19207

    7) Backup the DPM 2012 database.

    8) Upgrade to DPM 2012 Sp1.

    Note: the Operating system and SQL requirements for DPM 2012 Sp1

    System Requirements for DPM in System Center 2012 Sp1
    http://technet.microsoft.com/en-us/library/jj651645.aspx

    9) Install the latest DPM 2012 Sp1 updates

    Description of Update Rollup 3 for System Center 2012 Service Pack 1
    http://support.microsoft.com/kb/2836751/en-us

    Hotfix for System Center 2012 SP1 Data Protection Manager
    http://www.microsoft.com/en-us/download/details.aspx?id=40318

    10) Update the agents to 4.1.3419

    To continue to DPM 2012 R2..

    Note: the Operating system and SQL requirements for DPM 2012 R2.

    System Requirements for DPM in System Center 2012 R2
    http://technet.microsoft.com/en-us/library/hh758176.aspx

    11) Backup the DPM 2012 Sp1 database.

    12) Upgrade to DPM 2012 R2.

    13) Update the agents to 4.1.1505


    Please remember to click “Mark as Answer” on the post that helps you, and to click “Unmark as Answer” if a marked post does not actually answer your question. This can be beneficial to other community members reading the thread. Regards, Mike J. [MSFT] This posting is provided "AS IS" with no warranties, and confers no rights.



    Monday, November 18, 2013 5:59 PM
    Moderator